Name:           python-pathspec
Version:        0.5.3
Release:        1%{?dist}
Summary:        Utility library for gitignore style pattern matching of file paths

License:        MPL 2.0
URL:            https://github.com/cpburnz/python-path-specification
Source0:        https://files.pythonhosted.org/packages/source/p/pathspec/pathspec-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python-setuptools python3-devel python3-setuptools

%description
Path Specification (pathspec) is a utility library for pattern matching of file
paths. So far this only includes Git's wildmatch pattern matching which itself
is derived from Rsync's wildmatch. Git uses wildmatch for its gitignore files.

%package -n     python2-pathspec
Summary:        %{summary}
%{?python_provide:%python_provide python2-pathspec}

%description -n python2-pathspec
Path Specification (pathspec) is a utility library for pattern matching of file
paths. So far this only includes Git's wildmatch pattern matching which itself
is derived from Rsync's wildmatch. Git uses wildmatch for its gitignore files.

%package -n     python3-pathspec
Summary:        %{summary}
%{?python_provide:%python_provide python3-pathspec}

%description -n python3-pathspec
Path Specification (pathspec) is a utility library for pattern matching of file
paths. So far this only includes Git's wildmatch pattern matching which itself
is derived from Rsync's wildmatch. Git uses wildmatch for its gitignore files.


%prep
%autosetup -n pathspec-%{version}
# Remove bundled egg-info
rm -rf pathspec.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install


%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-pathspec
%doc README.rst
%license LICENSE
%{python2_sitelib}/pathspec
%{python2_sitelib}/pathspec-%{version}-py?.?.egg-info

%files -n python3-pathspec
%doc README.rst
%license LICENSE
%{python3_sitelib}/pathspec
%{python3_sitelib}/pathspec-%{version}-py?.?.egg-info

%changelog
* Fri Jul 7 2017 Adrien Vergé <adrienverge@gmail.com> - 0.5.3-1
- Update to latest upstream version
- Include LICENSE file now that upstream packages it

* Wed Jun 28 2017 Adrien Vergé <adrienverge@gmail.com> - 0.5.2-1
- Initial package.
